summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Damian Perticone2022-05-12 15:55:14 +0200
committer Willy Sudiarto Raharjo2022-05-14 14:27:58 +0200
commit40502118ebd5e9140b870907014afc79d5089624 (patch)
tree9c30f0493e8da1481be1a16be8c623345961bf8d
parent2430897512084834e5472149a948490970b0f4cd (diff)
downloadslackbuilds-40502118ebd5e9140b870907014afc79d5089624.tar.gz
desktop/river: Added (dynamic tiling wayland compositor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/river/README21
-rw-r--r--desktop/river/doinst.sh3
-rw-r--r--desktop/river/river.SlackBuild102
-rw-r--r--desktop/river/river.info10
-rw-r--r--desktop/river/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/desktop/river/README b/desktop/river/README
new file mode 100644
index 0000000000..fc842dab19
--- /dev/null
+++ b/desktop/river/README
@@ -0,0 +1,21 @@
+River is a dynamic tiling Wayland compositor with flexible runtime
+configuration based on wlroots.
+River can either be run nested in an X11/Wayland session or
+directly from a tty using KMS/DRM. Simply run the river command.
+
+On startup river will run an executable file at
+$XDG_CONFIG_HOME/river/init if such an executable exists.
+If $XDG_CONFIG_HOME is not set, ~/.config/river/init will
+be used instead.
+Usually this executable is a shell script invoking riverctl(1)
+to create mappings, start programs such as a layout generator
+or status bar, and perform other configuration.
+For complete documentation see the river(1), riverctl(1), and
+rivertile(1) man pages
+here is an example of init to river
+it goes in /home/youruser/.config/river
+https://github.com/riverwm/river/blob/master/example/init
+edit it as you like.
+
+
+
diff --git a/desktop/river/doinst.sh b/desktop/river/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/river/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/river/river.SlackBuild b/desktop/river/river.SlackBuild
new file mode 100644
index 0000000000..48e4dfffef
--- /dev/null
+++ b/desktop/river/river.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for river
+
+# Copyright 2022 Damian Perticone, Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=river
+VERSION=${VERSION:-0.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+DESTDIR=$PKG zig build install -Drelease-safe -Dxwayland -Dman-pages \
+--prefix '/usr'
+
+cp -r $PKG/usr/share/man /$PKG/usr/man
+rm -r $PKG/usr/share/man
+mkdir $PKG/usr/share/wayland-sessions
+cp -a contrib/river.desktop /$PKG/usr/share/wayland-sessions/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/river/river.info b/desktop/river/river.info
new file mode 100644
index 0000000000..c6b1f7f9f2
--- /dev/null
+++ b/desktop/river/river.info
@@ -0,0 +1,10 @@
+PRGNAM="river"
+VERSION="0.1.3"
+HOMEPAGE="https://github.com/riverwm/river"
+DOWNLOAD="https://github.com/riverwm/river/releases/download/v0.1.3/river-0.1.3.tar.gz"
+MD5SUM="12b1caba61c9e174bc17f76940d3a2c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wlroots zig scdoc"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/desktop/river/slack-desc b/desktop/river/slack-desc
new file mode 100644
index 0000000000..5408428be6
--- /dev/null
+++ b/desktop/river/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+river: river (dynamic tiling wayland compositor)
+river:
+river: River is a dynamic tiling Wayland compositor with flexible
+river: runtime configuration.
+river:
+river:
+river: Home: https://github.com/ifreund/river
+river:
+river:
+river:
+river: